global:
  imageRegistry: registry.gitlab.com/operator-ict/golemio
  imagePullSecrets: []
  secretName: data-praha-secret
  pullPolicy: IfNotPresent
  replicas: 1
  readinessProbe:
    initialDelaySeconds: 5
    periodSeconds: 10

cms:
  name: data-praha-cms
  repository: weby/data-praha-eu/cms
  branch: development
  tag: latest
  port: 1337
  replicas: 1
  logLevel: info # pro access logy pouzij `http`
  ingress:
    host: "data-praha-cms.XXXXX.cz"
    tls: true
    annotationsNginxConfig: ""
    admin:
      host: "data-praha-admin.XXXXX.cz"
      class: "nginx-internal"
  postgres:
    hostname: "DBHOST"
    username: "DBUSER"
    database: "DATABASE"
    port: "5432"
    ssl: "true"
  resources:
    limits:
      cpu: 500m
      memory: 320Mi
    requests:
      cpu: 20m
      memory: 150Mi
  probes:
    enabled: true
    readinessProbe:
      httpGet:
        path: /_health
        port: 1337
      failureThreshold: 2
      initialDelaySeconds: 15
      periodSeconds: 30
    livenessProbe:
      httpGet:
        path: /_health
        port: 1337
      failureThreshold: 2
      initialDelaySeconds: 20
      periodSeconds: 30
      terminationGracePeriodSeconds: 10

frontend:
  name: data-praha-frontend
  repository: weby/data-praha-eu/frontend
  branch: development
  tag: latest
  port: 3000
  replicas: 1
  apiUrl: "data-praha-cms.XXXXX.cz"
  logLevel: info
  noindex: false
  googleVerification: ""
  gtmId: ""
  ingress:
    hosts: [ "data-praha.XXXXX.cz" ]
    tls: true
  resources:
    limits:
      cpu: 200m
      memory: 768Mi
    requests:
      cpu: 10m
      memory: 150Mi
  probes:
    enabled: true
    readinessProbe:
      httpGet:
        path: /status
        port: 3000
      failureThreshold: 2
      initialDelaySeconds: 15
      periodSeconds: 30
    livenessProbe:
      httpGet:
        path: /status
        port: 3000
      failureThreshold: 2
      initialDelaySeconds: 20
      periodSeconds: 30
      terminationGracePeriodSeconds: 10
